Skip to main content
POST
/
agents
/
{agentId}
/
email-identities
/
{identityId}
/
verify
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/agents/{agentId}/email-identities/{identityId}/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "email": "jsmith@example.com",
  "domain": "<string>",
  "localPart": "<string>",
  "isPrimary": true,
  "verified": true,
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

agentId
string
required

Owning agent ID

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
identityId
string
required

Email identity ID being acted on

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Body

application/json

Identifies a specific email identity for a per-identity action

Response

200 - application/json

OK

Email identity associated with an agent

id
string
required

Unique identifier of the email identity

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
email
string<email>
required

Full email address

domain
string
required

Domain portion of the email address

localPart
string
required

Local part (before the @) of the email address

isPrimary
boolean
required

Whether this is the agent's primary email identity

verified
boolean
required

Whether the email address has been verified

createdAt
string<date-time>
required

Timestamp when the email identity was created